struct nand_buffers
Prev | Chapter 9. Structures | Next

## Name

struct nand_buffers — buffer structure for read/write

## Synopsis

    struct nand_buffers {
      uint8_t ecccalc[NAND_MAX_OOBSIZE];
      uint8_t ecccode[NAND_MAX_OOBSIZE];
      uint8_t databuf[NAND_MAX_PAGESIZE + NAND_MAX_OOBSIZE];
    };

## Members

ecccalc[NAND_MAX_OOBSIZE]

  buffer for calculated ecc

ecccode[NAND_MAX_OOBSIZE]

  buffer for ecc read from flash

databuf[NAND_MAX_PAGESIZE + NAND_MAX_OOBSIZE]

  buffer for data - dynamically sized

## Description

Do not change the order of buffers. databuf and oobrbuf must be in consecutive order.

Prev | Up | Next
struct nand_ecc_ctrl | Home | struct nand_chip